disp('exceed')
kon=0.4;
nu=1.5e-5;
zo=.001;
z=10;
cdh=kon/log(z/zo);
pi=3.14159;
u=5;
su=2.5*u*cdh;
for lx=1:100;
	up=lx/10*su;
	sg(lx)=1+up/u;
	S=min(100,up/su);
	N(lx)=1/(2*pi)*(0.16*cdh*u*u*u/(15*nu*z*kon))^.5/exp(.5*(S)^2)*3600;
end;
%

semilogy(sg,N);
%axis([0 75 0 100]);
title('Mean Number Exceedances/sec vs Ug/U');
xlabel('Ug/U');
ylabel('N (1/hr)');
hold on;

u=10;
su=2.5*u*cdh;
for lx=1:100;
	up=lx/10*su;
	sg(lx)=1+up/u;
	S=min(100,up/su);
	N(lx)=1/(2*pi)*(0.16*cdh*u*u*u/(15*nu*z*kon))^.5/exp(.5*(S)^2)*3600;
end;
%

semilogy(sg,N);
end;
