disp('prof_ber')
kon=0.4;
for lx=1:300;
	lz=lx/100;
	z(lx)=10^(lz);
end;
%
x=[30 0 25.0 24.5 20.2 17.5 141 419 0 600 980 10 10 10];

plot(x(1),x(12),'wx');
axis([0 75 0 100]);
title('Surface Layer Wind Profiles');
xlabel('Wind Speed (m/s)');
ylabel('Height (m)');
hold on;
y=cool_lkb(x);
ust=y(8);
L=y(7);
zo=y(4);
for lx=1:300;
	zet=z(lx)/L;
	u(lx)=ust/kon*(log(z(lx)/zo)-psiu(zet));
end;
plot(u,z,'r');
axis([0 75 0 100]);
zo=0.0001;
x1=[x zo];
y1=cold_lkb(x1);
ya=cold_lkb(x1);
ust=y1(8);
L=y1(7);
for lx=1:300;
	zet=z(lx)/L;
	u(lx)=ust/kon*(log(z(lx)/zo)-psiu(zet));
end;
plot(u,z,'g');
zo=.10;
x2=[x zo];
y2=cold_lkb(x2);
ust=y2(8);
L=y2(7);
for lx=1:300;
	zet=z(lx)/L;
	u(lx)=ust/kon*(log(z(lx)/zo)-psiu(zet));
end;
plot(u,z,'b');

end;
