disp('strc_2')
ny=1622;
g=9.82;
cp=1006;
Le=2460;
kon=.4;
z=15;
j=0;
acc_wu=0;
acc_u=0;
jamwu=0;
acc_wub=0;
for i=852:2770
   rain=dt(i,10);
   jm=eyes(i,4);
   jp=eyes(i,1);
   phirel=eyes(i,5);
   oph=eyes(i,2);
   z=dt(i,38);
   hlc=dt(i,36);
   if i>2473,
      phirel=mod(phirel+90,360);
   end;
 if phirel>280,
 	phirel=360-phirel;
 end;
   if rain<1,
      if jm<2,
         if phirel<80,
            if oph<400;
               if jp<1;
                  if oph>2;
                     if hlc>0;
               
         j=j+1;  
         ophx(j)=eyes(i,2);   
         dat(j)=dt(i,1);
         u(j)=dt(i,2);
         cuu(j)=struc(i,3);
         cww(j)=struc(i,4);
         ruw(j)=cww(j)/cuu(j);
         rwq(j)=abs(dt(i,36)-dt(i,12));
         hlcc(j)=dt(i,36);
         hlbb(j)=dt(i,12);
         cu=.5*(struc(i,3)+3/4*struc(i,4));
			ct=struc(i,1);
         eps=(.25/.53*cu)^1.5;
         epp(j)=eps;
         ctp(j)=ct;
         
			T=dt(i,5)+273.16;
			rhoa=101300/(T*(1+.61e-3*dt(1,7))*287);
			wqc=dt(i,36)/Le;
			wtc=dt(i,35)/cp/rhoa;
			wtvc(j)=wtc+.51*.3*wqc;
			L=dt(i,17);
			usb=max(dt(i,18),.01);
			tsb=sign(dt(i,19))*max(abs(dt(i,19)),.001);
         qsb=sign(dt(i,20))*max(abs(dt(i,20)*1000),1e-3);
         qsc=wqc/usb;
         tsv=(tsb+.51e-3*T*qsb);
         if i<2474,
            tsv=tsv*1.2;
         end;
         wtvb(j)=-usb*tsv;
         rwt(j)=wtvc(j)/wtvb(j);
         zetb(j)=z/L;
         zetc(j)=-g*kon*z/T*wtvc(j)/usb^3;
         zet(j)=zetc(j);
         tsvc=-wtvc(j)/usb;
			ctn(j)=ct*z^.667/tsv^2;
         ctnn(j)=psi_ft(zet(j));
         usc=sqrt(abs(dt(i,37)/rhoa));
			epn(j)=eps*kon*z/usb^3;
			epnn(j)=psi_eps(zet(j));
         cq=struc(i,2)/rhoa^2;
         cqp(j)=cq;
         usbp(j)=usb^2;
         tup(j)=dt(i,37)/rhoa;
         cqn(j)=cq*z^.667/(qsb)^2;
         if u(j)<1.9,
            if abs(tup(j))<.05,
            acc_wu=acc_wu+tup(j);
            acc_wub=acc_wub+usbp(j);
            acc_u=acc_u+u(j);
            jamwu=jamwu+1;
            end;
         end;   
            
         				end;%hlc
         			end;%oph2
         		end;%jp
      		end;%oph
			end;%phirel
		end;%jm
   end;%rain
end;%if
nx=j-1;
for i=1:50
   zt(i)=10^(i/10-2);
   nct(i)=psi_ft(-zt(i));
   nep(i)=psi_eps(-zt(i));
end;

figure(1);
semilogy(u(1:nx),ctp(1:nx),'x');
xlabel('u');
ylabel(' C_T^2 ');
axis([.00 14 .001 .1]);
figure(2);
semilogy(u(1:nx),cqp(1:nx),'x');
xlabel('u');
ylabel(' C_q^2 ');
axis([.0 14 .001 .1]);
figure(3);
semilogy(u(1:nx),epp(1:nx),'x');
%axis([.01 100 .1 100]);
xlabel('u');
set(get(gca,'Ylabel'),'String','\epsilon ');%ylabel('\eps ');
figure(4);
plot(u(1:nx),tup(1:nx),'x',u(1:nx),usbp(1:nx),'o');
xlabel('u');
ylabel('<uw>');
axis([.0 14 -.1 .3]);