kp=0.4;
sc=0.6;%.91*.91;
lam=13.3;
A=1.85;
ul=0:.1:2.8;
u=exp(ul);
[n m]=size(u);
t=0;
dt=1.5;
P=1010;
Rgas=287.1;
tdk=273.15;
rx=.75;
qs=qsea(t+dt);
q=qs*rx;
rhoa=P*100/(Rgas*(t+tdk)*(1+0.61*q/1000));
rhow=1022;
Rl=5.67e-8*(t+tdk)^4*.85;
xo=[ 0 t+dt t qs q 141 Rl 0 600 1010 10 10 10];
x=[5 0 28.7 33 24.2 18.5 141 419 0 600 1010 15 15 15];
p=zeros(m,14);
p(:,1)=u';
sca=.83;
for i=1:m
   p(i,2:14)=xo;
   y=coul_lkb(p(i,:));
   dw(i)=y(13);
   us(i)=y(8);
   zo(i)=y(4);
   cd(i)=y(16);
   clkb(i)=y(21);
   jam=cor26_gs(p(i,:));
   s=solco2(t);
   sol(i)=s(1);%mole/m^3/atm
   al(i)=s(2);%dimensionless
   scw(i)=s(3);
   kc(i)=jam(22)*(660/scw(i));
   wb(i)=y(15)/2.5e3/q;
end;
rr=zo.*us/1.5e-5;
f=3.8e-6*u.^3.4;
cdnh=kp./log(10./zo);
ha=lam/A;
wa=25;
gw=.0075;
vs1=us./kc+sqrt(rhow/rhoa)*(log(.5./dw)/.4);
vs2=ha*sqrt(sca)+1./sqrt(cd)-5+.5*log(sc)/.4;
vs1m=(1-f)./vs1+f*gw*wa/sqrt(rhow/rhoa);
v=us./(vs1+al.*vs2);
v2=us./(1./vs1m+al.*vs2);
wann=0.31*u.^2./(scw/660).^.5;
kb=850*f;
fd=al.*(1+1./(14*al./scw.^.5).^(1/1.2)).^1.2;%Woolf equation
kbb=2450*f./fd;
figure;plot(u,wann,u,v2*100*3600,'x',u,v*100*3600,'--',u,v*3.6e5+kbb,'o',u,wb*100*3600,':');axis([0 16 0 100]);
xlabel('\fontsize{12} U_{10} (m/s)');ylabel('\fontsize{12} V_t (cm/hr)');%Title('Air Side Bulk Transfer Coeff')
Title(['T='num2str(t) ' (C)']); axis([0 18 0 60]);set(gca,'fontsize',12);