kp=0.4;
sc=0.6;%.91*.91;
grav=9.82;

lam=13.3;
A=1.85;
ul=0:.1:2.5;
u=exp(ul);
[n m]=size(u);
t=14;
visa=1.325e-5*(1+6.542e-3*t+8.301e-6*t*t-4.8e-9*t*t*t);

xo=[ 0 t t-.01 8.5 8.4 141 419 0 600 1010 10 10 10];
x=[5 0 28.7 33 24.2 18.5 141 419 0 600 1010 15 15 15];
p=zeros(m,14);
p(:,1)=u';

cpo=1.1*u;
wvl=cpo.^2/9.8;
frq=cpo.*wvl/2/pi;


for i=1:m
   p(i,2:14)=xo;
   y=coul_lkb(p(i,:));
   us(i)=y(8);
   zo(i)=y(4);
   clkb(i)=y(19);
   jam=cor26_gs(p(i,:));
   kc(i)=jam(22);
end;
rr=zo.*us/visa;

cdnh=kp./log(10./zo);
A=0.0148;
B=0.738;
ce=A^(2/(2-B))./(cpo./u).^(2*B/(2-B));

M=1.89;
M=.47;
n=1.59;
n=1.08;
uss=us;
for i=1:m
	for la=1:20
      all(i)=M*(cpo(i)/uss(i))^-n;
      zo2(i)=all(i)*uss(i)^2/grav+.11*visa/uss(i);
      cdnh2(i)=kp./log(10/zo2(i));
      uss(i)=cdnh2(i)*u(i);
   end;
end;
cdn2=cdnh2.^2;




figure;plot(u,ce,u,clkb,'x',u,cdn2);xlabel('u (m/s)');ylabel('C_{dn}');Title('Air Side Bulk Transfer Coeff')

