function phix=phiug(zet)
%modified 3/19/98 to allow vector input/output by Peter Guest 

%stable cases
	x=1+4.7*zet;
	
	phix=(1-x)./zet;

%unstable cases
        uns=find(zet<0);
        if ~isempty(uns);
           	xx=1./(1-10.*zet(uns)).^.33;
            y=1./(1-15.*zet(uns)).^.25;
            c=zet(uns).*zet(uns);
            x=(y+c.*xx)./(1+c);  
           
	  		phix(uns)=(1-x)./zet(uns);	                                              
        end; 
     
