
%x=[5 0 25.0 24.5 20.2 17.5 141 419 0 600 980 10 10 10 1.0];
P=1010;
ts=-10;
t=-15;
q=1;


uu=[1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 17 20];

for i=1:17
   xm=[uu(i) 0 ts t 1 q 141 250 0 600 1010 10 10 10];
   
ym=cor_ice(xm);
zo(i)=ym(4);
zot(i)=ym(5);
us(i)=ym(8);
L(i)=ym(7);
cdn10(i)=ym(19);
chn10(i)=ym(20);
cen10(i)=ym(21);

von=0.4;
tdk=273.16;
grav=9.82;
     %*************  air constants ************
Rgas=287.1;
Le=(2.501-.00237*ts)*1e6;
cpa=1004.67;
rhoa=P*100/(Rgas*(t+tdk)*(1+0.61*q));
visa=1.325e-5*(1+6.542e-3*t+8.301e-6*t*t-4.8e-9*t*t*t);
     %************  cool skin constants  *******
  end;
  
rr=zo.*us/visa;
rt=zot.*us/visa;


plot(uu,cdn10,'o',uu,chn10,'--',uu,cen10,':');
xlabel('\fontsize{12} U (m/s)');ylabel('\fontsize{12} C_{dn}');set(gca,'fontsize',12);
axis([0 20 0 3e-3]);
   
     
